
#ifndef RADIO_CONFIG_H_
#define RADIO_CONFIG_H_

#define RF_POWER_UP 0x02, 0x01, 0x00, 0x01, 0x8C, 0xBA, 0x80
#define RF_GPIO_PIN_CFG 0x13, 0x41, 0x41, 0x21, 0x20, 0x67, 0x4B, 0x00
#define GLOBAL_2_0 0x11, 0x00, 0x04, 0x00, 0x52, 0x00, 0x18, 0x30
#define MODEM_2_0 0x11, 0x20, 0x0C, 0x00, 0x03, 0x00, 0x07, 0x02, 0x71, 0x00, 0x05, 0x8C, 0xBA, 0x80, 0x00, 0x00
#define MODEM_2_1 0x11, 0x20, 0x01, 0x0C, 0x51
#define MODEM_2_2 0x11, 0x20, 0x0C, 0x1C, 0x80, 0x00, 0xB0, 0x10, 0x0C, 0xE8, 0x00, 0x44, 0x07, 0x8F, 0xD5, 0x00
#define MODEM_2_3 0x11, 0x20, 0x0A, 0x28, 0x00, 0x02, 0xC0, 0x08, 0x00, 0x12, 0x00, 0x28, 0x01, 0x7C
#define MODEM_2_4 0x11, 0x20, 0x0B, 0x39, 0x0F, 0x0F, 0x80, 0x1A, 0x20, 0x00, 0x00, 0x28, 0x0C, 0xA4, 0x23
#define MODEM_2_5 0x11, 0x20, 0x09, 0x45, 0x03, 0x00, 0x99, 0x01, 0x00, 0xFF, 0x06, 0x09, 0x10
#define MODEM_2_6 0x11, 0x20, 0x02, 0x50, 0x94, 0x0A
#define MODEM_2_7 0x11, 0x20, 0x02, 0x54, 0x03, 0x07
#define MODEM_2_8 0x11, 0x20, 0x05, 0x5B, 0x40, 0x04, 0x04, 0x78, 0x20
#define MODEM_CHFLT_2_0 0x11, 0x21, 0x0C, 0x00, 0xCC, 0xA1, 0x30, 0xA0, 0x21, 0xD1, 0xB9, 0xC9, 0xEA, 0x05, 0x12, 0x11
#define MODEM_CHFLT_2_1 0x11, 0x21, 0x0C, 0x0C, 0x0A, 0x04, 0x15, 0xFC, 0x03, 0x00, 0xCC, 0xA1, 0x30, 0xA0, 0x21, 0xD1
#define MODEM_CHFLT_2_2 0x11, 0x21, 0x0B, 0x18, 0xB9, 0xC9, 0xEA, 0x05, 0x12, 0x11, 0x0A, 0x04, 0x15, 0xFC, 0x03
#define PA_2_0 0x11, 0x22, 0x01, 0x03, 0x1D
#define FREQ_CONTROL_2_0 0x11, 0x40, 0x08, 0x00, 0x43, 0x09, 0x00, 0x00, 0x4E, 0xC5, 0x20, 0xFE
#define RF_START_RX 0x32, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
#define RF_IRCAL 0x17, 0x56, 0x10, 0xCA, 0xF0
#define RF_IRCAL_1 0x17, 0x13, 0x10, 0xCA, 0xF0
#define INT_CTL_5_0 0x11, 0x01, 0x04, 0x00, 0x07, 0x18, 0x00, 0x00
#define FRR_CTL_5_0 0x11, 0x02, 0x03, 0x00, 0x0A, 0x09, 0x00
#define PREAMBLE_5_0 0x11, 0x10, 0x01, 0x04, 0x31
#define SYNC_5_0 0x11, 0x11, 0x04, 0x01, 0xB4, 0x2B, 0x00, 0x00
#define PKT_5_0 0x11, 0x12, 0x0A, 0x00, 0x04, 0x01, 0x08, 0xFF, 0xFF, 0x20, 0x00, 0x00, 0x2A, 0x01
#define PKT_5_1 0x11, 0x12, 0x07, 0x0E, 0x01, 0x06, 0xAA, 0x00, 0x80, 0x02, 0x2A
#define MODEM_5_0 0x11, 0x20, 0x07, 0x00, 0x02, 0x00, 0x07, 0x00, 0x13, 0x88, 0x01
#define MODEM_5_1 0x11, 0x20, 0x01, 0x19, 0x80
#define MODEM_5_2 0x11, 0x20, 0x0C, 0x20, 0x14, 0xE8, 0x02, 0x1E, 0x00, 0xF1, 0xFB, 0x00, 0x79, 0x02, 0xC2, 0x00
#define MODEM_5_3 0x11, 0x20, 0x07, 0x2C, 0x04, 0x23, 0x80, 0x02, 0x1B, 0x1B, 0x80
#define MODEM_5_4 0x11, 0x20, 0x0B, 0x39, 0x77, 0x77, 0x80, 0x02, 0xFF, 0xFF, 0x00, 0x2B, 0x0C, 0xA4, 0x22
#define MODEM_5_5 0x11, 0x20, 0x09, 0x45, 0x83, 0x00, 0xEC, 0x01, 0x00, 0x80, 0x06, 0x02, 0x18
#define MODEM_5_6 0x11, 0x20, 0x01, 0x50, 0x84
#define MODEM_5_7 0x11, 0x20, 0x01, 0x5D, 0x0A
#define MODEM_CHFLT_5_0 0x11, 0x21, 0x0C, 0x00, 0xFF, 0xBA, 0x0F, 0x51, 0xCF, 0xA9, 0xC9, 0xFC, 0x1B, 0x1E, 0x0F, 0x01
#define MODEM_CHFLT_5_1 0x11, 0x21, 0x0C, 0x0C, 0xFC, 0xFD, 0x15, 0xFF, 0x00, 0x0F, 0xFF, 0xBA, 0x0F, 0x51, 0xCF, 0xA9
#define MODEM_CHFLT_5_2 0x11, 0x21, 0x0C, 0x18, 0xC9, 0xFC, 0x1B, 0x1E, 0x0F, 0x01, 0xFC, 0xFD, 0x15, 0xFF, 0x00, 0x0F
#define FREQ_CONTROL_5_0 0x11, 0x40, 0x04, 0x00, 0x41, 0x0C, 0xEC, 0x4E

#define RADIO_CONFIGURATION_DATA_ARRAY { \
0x07, RF_POWER_UP, \
0x08, RF_GPIO_PIN_CFG, \
0x08, GLOBAL_2_0, \
0x10, MODEM_2_0, \
0x05, MODEM_2_1, \
0x10, MODEM_2_2, \
0x0E, MODEM_2_3, \
0x0F, MODEM_2_4, \
0x0D, MODEM_2_5, \
0x06, MODEM_2_6, \
0x06, MODEM_2_7, \
0x09, MODEM_2_8, \
0x10, MODEM_CHFLT_2_0, \
0x10, MODEM_CHFLT_2_1, \
0x0F, MODEM_CHFLT_2_2, \
0x05, PA_2_0, \
0x0C, FREQ_CONTROL_2_0, \
0x08, RF_START_RX, \
0x05, RF_IRCAL, \
0x05, RF_IRCAL_1, \
0x08, INT_CTL_5_0, \
0x07, FRR_CTL_5_0, \
0x05, PREAMBLE_5_0, \
0x08, SYNC_5_0, \
0x0E, PKT_5_0, \
0x0B, PKT_5_1, \
0x0B, MODEM_5_0, \
0x05, MODEM_5_1, \
0x10, MODEM_5_2, \
0x0B, MODEM_5_3, \
0x0F, MODEM_5_4, \
0x0D, MODEM_5_5, \
0x05, MODEM_5_6, \
0x05, MODEM_5_7, \
0x10, MODEM_CHFLT_5_0, \
0x10, MODEM_CHFLT_5_1, \
0x10, MODEM_CHFLT_5_2, \
0x08, FREQ_CONTROL_5_0, \
}

#endif
